Upsert a catalog markdown file
PUT
/v1/workspaces/{workspaceId}/catalog/files
const url = 'https://shareout.site/v1/workspaces/example/catalog/files';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"path":"sources/orders.md","content":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://shareout.site/v1/workspaces/example/catalog/files \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "path": "sources/orders.md", "content": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspaceId
required
string
Workspace ID or slug.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
path
required
string
Example
sources/orders.mdcontent
required
string
Responses
Section titled “Responses”Saved
